freemarker.template

## Interface TemplateModelWithAPISupport

All Superinterfaces:
  TemplateModel

All Known Implementing Classes:
  ArrayModel, BeanModel, BooleanModel, CollectionModel, DateModel, DefaultIterableAdapter, DefaultListAdapter, DefaultMapAdapter, DefaultNonListCollectionAdapter, EnumerationModel, IteratorModel, MapModel, NumberModel, ResourceBundleModel, SimpleMapModel, StringModel

    public interface TemplateModelWithAPISupport
    extends TemplateModel

Experimental - subject to change: A `TemplateModel` on which the `?api` operation can be applied.

Experimental status warning: This interface is subject to change on non-backward compatible ways, hence, it shouldn't be implemented outside FreeMarker yet.

Since:
  2.3.22

### Field Summary

### Fields inherited from interface freemarker.template.TemplateModel

`NOTHING`

### Method Summary

All Methods Instance Methods Abstract Methods
`TemplateModel` `getAPI()` Returns the model that exposes the (Java) API of the value.

### Method Detail

#### getAPI

    TemplateModel getAPI()
                  throws TemplateModelException

Returns the model that exposes the (Java) API of the value. This is usually implemented by delegating to `ObjectWrapperWithAPISupport.wrapAsAPI(Object)`.

Throws:
  `TemplateModelException`